import*as React from'react';import {useRouteError,isRouteErrorResponse}from'@remix-run/react';import Error500 from'./Error500.js';function ErrorBoundary() {
    const error = useRouteError();
    React.useEffect(() => {
        console.trace(error);
    }, [error]);
    if (isRouteErrorResponse(error)) {
        return React.createElement(Error500, { title: error.statusText, status: error.status, data: error.data });
    }
    else if (error instanceof Error) {
        return React.createElement(Error500, { title: error.message, status: "500", data: error.stack });
    }
    else {
        return React.createElement(Error500, { title: "Unknown Error", status: "500", data: error });
    }
}export{ErrorBoundary};